Page MenuHomePhabricator

[OMPT] Add api_calls_misc.c testcase and rename api_calls.c testcase
ClosedPublic

Authored by sconvent on Jan 25 2018, 1:33 AM.

Details

Summary

The api_calls_misc.c testcase tests the following api calls:

  • ompt_get_callback()
  • ompt_get_state()
  • ompt_enumerate_states()
  • ompt_enumerate_mutex_impls()

These have not been tested previously.

The api_calls.c testcase has been renamed to api_calls_places.c because it only tests api calls that are related to places.

Diff Detail

Repository
rL LLVM

Event Timeline

sconvent created this revision.Jan 25 2018, 1:33 AM

Please add a (meaningful) summary what this change does (high-level) and most importantly why.

sconvent edited the summary of this revision. (Show Details)Jan 25 2018, 3:36 AM
protze.joachim added inline comments.Feb 28 2018, 9:25 AM
runtime/test/ompt/misc/api_calls_places.c
65 ↗(On Diff #136259)

I suggest to move "=" to the next line to ensure that NUM_PLACES matches the right number?

Hahnfeld added inline comments.Feb 28 2018, 9:35 AM
runtime/test/ompt/misc/api_calls_places.c
65 ↗(On Diff #136259)

(and I think you can readd a space between CHECK-SAME: and the rest, FileCheck should strip the whitespace from begin and end)

sconvent updated this revision to Diff 136480.Mar 1 2018, 2:02 AM

Implement suggestions

Hahnfeld accepted this revision.Mar 1 2018, 6:12 AM

LGTM

This revision is now accepted and ready to land.Mar 1 2018, 6:12 AM
sconvent updated this revision to Diff 137331.Mar 7 2018, 12:31 AM

Fix uninitialized step count

This revision was automatically updated to reflect the committed changes.